
// Used to implement all the collections of rogue wave

#include "rhis.h"
#include "rhtree.h"

// Actual class implementation
implement(RWGVector, RWoffset)
implement(RWGOrderedVector, RWoffset)

implement(RWGVector, int)
implement(RWGOrderedVector, int)

implement(RWGVector, double)
implement(RWGOrderedVector, double)

implement(RWGVector, RecordEntry)
implement(RWGOrderedVector, RecordEntry)

implement(RWGVector, QueryProfileStruct)
implement(RWGOrderedVector, QueryProfileStruct)

implement(RWGVector, SortStruct)
implement(RWGSortedVector, SortStruct)

int CompareSortStruct(const SortStruct* pA, const SortStruct* pB)
{
	if (pA->fValue < pB->fValue)
		return -1;
	else if (pA->fValue > pB->fValue)
		return 1;
	else
		return 0;
	
	return 0;
}
