#ifndef __RWTOOLERR_H__
#define __RWTOOLERR_H__ 1

/*
 * Error messages for Tools.h++
 *
 * $Id: toolerr.h,v 2.2 1993/09/10 02:56:53 keffer Exp $
 *
 ****************************************************************************
 *
 * Rogue Wave Software, Inc.
 * P.O. Box 2328
 * Corvallis, OR 97339
 *
 * Copyright (C) 1993.
 * This software is subject to copyright protection under the laws of
 * the United States and other countries.
 *
 ***************************************************************************
 *
 * $Log: toolerr.h,v $
 * Revision 2.2  1993/09/10  02:56:53  keffer
 * Switched RCS idents to avoid spurious diffs
 *
 * Revision 2.1  1993/05/18  00:40:48  keffer
 * Rewrote to use new messaging and exception handling facility.
 *
 */

#include "rw/message.h"

extern const RWMsgId RWTOOL_ALLOCOUT;
extern const RWMsgId RWTOOL_BADRE;
extern const RWMsgId RWTOOL_CRABS;
extern const RWMsgId RWTOOL_FLIST;
extern const RWMsgId RWTOOL_ID;
extern const RWMsgId RWTOOL_INDEX;
extern const RWMsgId RWTOOL_LOCK;
extern const RWMsgId RWTOOL_LONGINDEX;
extern const RWMsgId RWTOOL_MAGIC;
extern const RWMsgId RWTOOL_NEVECL;
extern const RWMsgId RWTOOL_NOCREATE;
extern const RWMsgId RWTOOL_NOTALLOW;
extern const RWMsgId RWTOOL_READERR;
extern const RWMsgId RWTOOL_REF;
extern const RWMsgId RWTOOL_SEEKERR;
extern const RWMsgId RWTOOL_STREAM;
extern const RWMsgId RWTOOL_SUBSTRING;
extern const RWMsgId RWTOOL_UNLOCK;
extern const RWMsgId RWTOOL_WRITEERR;

#endif  /*  __RWTOOLERR_H__ */
